import matplotlib.pyplot as plt
numargs = binom.numargs
[ n, pr ] = Replace with reasonable value * numargs
rv = binom(n, pr)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = binom.cdf(x, n, pr)
h = plt.semilogy(np.abs(x - binom.ppf(prb, n, pr)) + 1e-20)

# Random number generation

R = binom.rvs(n, pr, size=100)
